#include "Board.h"
#include <assert.h>	


/*Board::Board(Graphics& gfx)
	:
	grph(gfx)


{}*/

void Board::DrawCell(Graphics& gfx, Location& loc, Color c)
{

	assert(loc.x >= 0);
	assert(loc.x < width);
	assert(loc.y >= 0);
	assert(loc.y < height);


	gfx.DrawRectDim(loc.x * dimension, loc.y * dimension, dimension, dimension, c);

}

int Board::GetGridWidth()
{
	return width;
}

int Board::GetGridHeight()
{
	return height;
}
